%define	major		0
%define	libname		%mklibname cap-ng %{major}
%define develname	%mklibname cap-ng -d

%global __brp_check_rpaths %{nil}

Summary:	An alternate posix capabilities library
Name:		libcap-ng
Version:	0.8.5
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		https://people.redhat.com/sgrubb/libcap-ng
Source0:	https://people.redhat.com/sgrubb/libcap-ng/%{name}-%{version}.tar.gz
# should fix mga#23522
Patch0:		0001-Fix-mark-the-DSOs-as-unloadable-6.patch
#
BuildRequires:	kernel-headers >= 2.6.11
BuildRequires:	attr-devel
BuildRequires:	swig

%description
Libcap-ng is a library that makes using posix capabilities easier.

%package -n	%{libname}
Summary:	Shared %{name} library
Group:		System/Libraries

%description -n	%{libname}
Libcap-ng is a library that makes using posix capabilities easier.

This package contains the shared %{name} library.

%package -n	%{develname}
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/C
Requires:	kernel-headers >= 2.6.11
Requires:	%{libname} = %{version}-%{release}
Provides:	cap-ng-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libcap-ng is a library that makes using posix capabilities easier.

This package contains the development files for the %{name} library.

%package -n	python3-%{name}
Summary:	Python3 bindings for %{name} library
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
Requires:	%{libname} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}
Provides:	libcap-ng-python3 = %{version}-%{release}

%description -n	python3-%{name}
The python3-libcap-ng package contains the bindings so that %{name} and
can be used by python3 applications.

%package	utils
Summary:	Utilities for analysing and setting file capabilities
Group:		System/Base

%description	utils
The libcap-ng-utils package contains applications to analyse the posix
capabilities of all the program running on a system. It also lets you set the
file system based capabilities.

%prep
%autosetup -p1

%build
./autogen.sh
%configure \
    --libdir=%{_libdir} \
    --with-python3

%make_build CFLAGS="%{optflags}"

%install
%make_install

# Remove a couple things so they don't get picked up
rm -f %{buildroot}%{_libdir}/libcap-ng.*a
rm -f %{buildroot}%{_libdir}/libdrop_ambient.*a
rm -f %{buildroot}%{_libdir}/python?.?/site-packages/_capng.*a

%files -n %{libname}
%doc README.md
%license COPYING.LIB
%{_libdir}/libcap-ng.so.%{major}{,.*}
%{_libdir}/libdrop_ambient.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%attr(0644,root,root) %{_includedir}/cap-ng.h
%{_libdir}/libcap-ng.so
%{_libdir}/libdrop_ambient.so
%attr(0644,root,root) %{_datadir}/aclocal/cap-ng.m4
%{_libdir}/pkgconfig/libcap-ng.pc
%attr(0644,root,root) %{_mandir}/man3/*

%files -n python3-%{name}
%doc README.md
%attr(0755,root,root) %{python3_sitearch}/_capng.so
%{python3_sitearch}/capng.py*
%{python3_sitearch}/__pycache__

%files utils
%doc README.md
%license COPYING
%attr(0755,root,root) %{_bindir}/*
%attr(0644,root,root) %{_mandir}/man7/*
%attr(0644,root,root) %{_mandir}/man8/*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.8.5-3.mga10
+ Revision: 2242665
- Mageia 10 Mass Rebuild

* Tue Mar 04 2025 wally <wally> 0.8.5-2.mga10
+ Revision: 2160316
- rebuild for python3.13

* Sun Dec 01 2024 daviddavid <daviddavid> 0.8.5-1.mga10
+ Revision: 2120293
- new version: 0.8.5

* Fri Apr 05 2024 wally <wally> 0.8.4-2.mga10
+ Revision: 2054997
- add upstream patch to fix build
- basesystem rebuild for i686

* Fri Dec 29 2023 daviddavid <daviddavid> 0.8.4-1.mga10
+ Revision: 2024141
- new version: 0.8.4

* Sun Apr 09 2023 daviddavid <daviddavid> 0.8.3-3.mga9
+ Revision: 1951870
- fix libdir path in pkgconfig file

* Wed Jan 18 2023 wally <wally> 0.8.3-2.mga9
+ Revision: 1934343
- provide libcap-ng-python3 with python pkg

* Fri Jun 03 2022 luigiwalser <luigiwalser> 0.8.3-1.mga9
+ Revision: 1861129
- 0.8.3

* Sat Mar 26 2022 umeabot <umeabot> 0.8.2-4.mga9
+ Revision: 1827852
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 0.8.2-3.mga9
+ Revision: 1787264
- rebuild for python-3.10

* Thu Mar 25 2021 daviddavid <daviddavid> 0.8.2-2.mga9
+ Revision: 1710181
- rebuild for python 3.9

* Wed Dec 30 2020 luigiwalser <luigiwalser> 0.8.2-1.mga8
+ Revision: 1665457
- 0.8.2

* Sun Nov 29 2020 luigiwalser <luigiwalser> 0.8.1-1.mga8
+ Revision: 1650094
- rediff patch 0
- 0.8.1

* Fri Sep 25 2020 luigiwalser <luigiwalser> 0.8-1.mga8
+ Revision: 1630125
- 0.8

* Thu Sep 03 2020 luigiwalser <luigiwalser> 0.7.11-1.mga8
+ Revision: 1621448
- 0.7.11

* Sun Feb 16 2020 umeabot <umeabot> 0.7.10-2.mga8
+ Revision: 1534272
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 02 2019 daviddavid <daviddavid> 0.7.10-1.mga8
+ Revision: 1448721
- new version: 0.7.10

* Wed Sep 18 2019 tmb <tmb> 0.7.9-4.mga8
+ Revision: 1443525
- drop python2 packages
- run autogen.sh for new automake
- Fix mark the DSOs as unloadable (mga#23522)

* Tue Jan 08 2019 daviddavid <daviddavid> 0.7.9-3.mga7
+ Revision: 1352642
- rebuild for new Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.7.9-2.mga7
+ Revision: 1298776
- Mageia 7 Mass Rebuild

* Wed Apr 04 2018 kekepower <kekepower> 0.7.9-1.mga7
+ Revision: 1215268
- Update to version 0.7.9
- Renamed python-libcap-ng to python2-libcap-ng

* Sat Aug 05 2017 pterjan <pterjan> 0.7.8-2.mga7
+ Revision: 1135246
- Rebuild for python 3.6

* Wed Aug 10 2016 luigiwalser <luigiwalser> 0.7.8-1.mga6
+ Revision: 1045275
- 0.7.8

* Thu Feb 11 2016 umeabot <umeabot> 0.7.7-4.mga6
+ Revision: 955443
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0.7.7-3.mga6
+ Revision: 887807
- rebuild for python 3.5

* Fri Aug 21 2015 tmb <tmb> 0.7.7-2.mga6
+ Revision: 867533
- rebuild for new gcc

* Sat Jul 25 2015 blino <blino> 0.7.7-1.mga6
+ Revision: 857199
- enable python3
- 0.7.7

* Wed Oct 15 2014 umeabot <umeabot> 0.7.4-5.mga5
+ Revision: 740618
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.4-4.mga5
+ Revision: 726697
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.4-3.mga5
+ Revision: 681365
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.7.4-2.mga5
+ Revision: 628291
- Rebuild for new Python

* Sat Apr 26 2014 luigiwalser <luigiwalser> 0.7.4-1.mga5
+ Revision: 618302
- 0.7.4

* Sat Oct 19 2013 umeabot <umeabot> 0.7.3-3.mga4
+ Revision: 535976
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.7.3-2.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sat Jan 12 2013 umeabot <umeabot> 0.7.3-2.mga3
+ Revision: 356912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 luigiwalser <luigiwalser> 0.7.3-1.mga3
+ Revision: 321613
- 0.7.3

* Sun Nov 04 2012 luigiwalser <luigiwalser> 0.7.1-1.mga3
+ Revision: 313633
- 0.7.1

* Mon Aug 13 2012 luigiwalser <luigiwalser> 0.7-1.mga3
+ Revision: 280987
- 0.7

* Sun Jul 31 2011 dlucio <dlucio> 0.6.6-2.mga2
+ Revision: 130991
- add devel provides

* Thu Jul 14 2011 kharec <kharec> 0.6.6-1.mga2
+ Revision: 124058
- new version

* Tue Jan 18 2011 pterjan <pterjan> 0.6.5-4.mga1
+ Revision: 21820
- Rebuild for python 2.7

* Tue Jan 11 2011 blino <blino> 0.6.5-3.mga1
+ Revision: 5751
- rebuild, it seems i586 packages have been lost in translation

* Sun Jan 09 2011 blino <blino> 0.6.5-2.mga1
+ Revision: 1637
- remove old ldconfig scriptlets
- imported package libcap-ng


* Thu Nov 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.5-1mdv2011.0
+ Revision: 593132
- 0.6.5

* Mon Jul 12 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.4-1mdv2011.0
+ Revision: 551245
- 0.6.4

* Fri Mar 12 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-1mdv2010.1
+ Revision: 518353
- 0.6.3
- drop 2 upstream added patches

* Fri Feb 19 2010 Emmanuel Andry <eandry@mandriva.org> 0.6.2-2mdv2010.1
+ Revision: 508513
- fix weird libname

* Sun Jan 31 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-1mdv2010.1
+ Revision: 498774
- import libcap-ng


* Sun Jan 31 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-1mdv2010.0
- initial Mandriva package (fedora import)

* Fri Oct 09 2009 Steve Grubb <sgrubb@redhat.com> 0.6.2-3
- Apply patch to retain setpcap only if clearing bounding set

* Sat Oct 03 2009 Steve Grubb <sgrubb@redhat.com> 0.6.2-2
- Apply patch correcting pscap and netcap acct detection

* Mon Sep 28 2009 Steve Grubb <sgrubb@redhat.com> 0.6.2-1
- New upstream release

* Sun Jul 26 2009 Steve Grubb <sgrubb@redhat.com> 0.6.1-1
- New upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 29 2009 Steve Grubb <sgrubb@redhat.com> 0.6-1
- New upstream release

* Sun Jun 21 2009 Steve Grubb <sgrubb@redhat.com> 0.5.1-1
- New upstream release

* Fri Jun 19 2009 Steve Grubb <sgrubb@redhat.com> 0.5-1
- New upstream release

* Fri Jun 12 2009 Steve Grubb <sgrubb@redhat.com> 0.4.2-1
- New upstream release

* Fri Jun 12 2009 Steve Grubb <sgrubb@redhat.com> 0.4.1-1
- Initial build.
